man(1)

NOME
man - formatta e mostra le pagine di guida in linea
manpath - determina i percorsi di ricerca dell'utente per le pagine di guida

SINTASSI
man [-acdfFhkKtwW] [-m sistema] [-p stringa] [-C file_configurazione] [-M percorso] [-P impaginatore] [-S lista_sezioni] [sezione] nome ...

DESCRIZIONE
man formatta e mostra le pagine di guida in linea. Questa versione riconosce le variabili d'ambiente MANPATH e (MAN)PAGER, in modo da avere il proprio insieme di pagine di guida e scegliere il programma preferito per leggere le pagine formattate. Se sezione è specificata, man cerca solamente in quella sezione del manuale. Si può anche specificare l'ordine di ricerca delle sezioni e quale preprocessore utilizzare tramite un'opzione della riga di comando o variabile d'ambiente. Se nome contiene un carattere /, allora questo viene prima provato come se fosse il nome di un file, in modo da poter fare man ./foo.5 o anche man /cd/foo/bar.1.gz.

OPZIONI

-C  file_configurazione
    Specifica il file man.conf da usare; il valore di default è /etc/man.config (vedere man.config(5)).

-M  percorso
    Specifica la lista di directory in cui cercare le pagine di guida. Se questa opzione manca, viene usata la variabile d'ambiente MANPATH. Se tale variabile d'ambiente non ci fosse, l'elenco di default è trovato consultando /etc/man.config. Una sottostringa vuota di MANPATH denota la lista di default.

-P  impaginatore
    Specifica il programma di impaginazione da usare. Per default man usa /usr/bin/less-is. Questa opzione sovrascrive la variabile d'ambiente MANPAGER, che sovrascrive a sua volta la variabile PAGER.

-S  lista_sezioni
    La lista è un elenco separato dal carattere due punti di sezioni di guide da cercare. Questa opzione sovrascrive la variabile d'ambiente MANSECT.

-a  Di natura, man esce dopo aver mostrato la prima pagina di guida trovata. Usando questa opzione si forza man a mostrare tutte le pagine di guida corrispondenti a nome, non solo la prima.

-c  Riformatta la pagina di guida sorgente, anche quando esiste una pagina formattata aggiornata. Questa opzione è utile se la pagina è stata formattata per uno schermo con un numero diverso di colonne.

-d  Non mostra la pagina di guida, ma stampa alcune informazioni diagnostiche.

-D  Mostra sia la pagina che le informazioni diagnostiche.

-f  Equivalente a whatis.

-F o --preformat
    Formatta solamente: non mostra niente.

-h  Stampa una riga di aiuto ed esce.

-k  Equivalente a apropos.

-K  Ricerca una stringa specifica in *tutte* le pagine di guida. Attenzione: questo è probabilmente molto lento! Può essere di aiuto specificare una sezione (solo per dare un'idea, nella mia macchina questo porta via circa un minuto per 500 pagine di guida).

-m  sistema
    Specifica un insieme alternativo di pagine di guida da cercare basato sul nome di sistema dato.

-p  stringa
    Specifica la sequenza di preprocessori da eseguire prima di nroff o troff. Non tutte le installazioni hanno l'insieme completo di preprocessori. Alcuni preprocessori e le lettere usate per designarli sono: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Questa opzione sovrascrive la variabile d'ambiente MANROFFSEQ.

-t  Usa /usr/bin/groff -Tps -mandoc per formattare la pagina di guida, mandando l'output allo stdout. L'output di /usr/bin/groff -Tps -mandoc potrebbe aver bisogno di passare attraverso filtri o altro prima di essere stampato.

-w o --path
    Non mostra subito la pagina di guida, ma stampa la posizione dei file che dovrebbero essere formattati o visualizzati. Se non è dato nessun argomento mostra (sullo stdout) la lista di directory in cui man esegue la ricerca per le pagine di guida. Se manpath è un link a man, allora "manpath" è equivalente a "man --path".

-W  Come -w, ma stampa i nomi dei file uno per riga, senza ulteriori informazioni. Questo è utile in comandi di shell tipo man -aW man | xargs ls -l.

PAGINE FORMATTATE
Man tenterà di salvare le pagine di guida formattare, in modo da risparmiare il tempo di formattazione la volta successiva che quelle pagine saranno necessarie. Tradizionalmente, le versioni formattate delle pagine in DIR/manX sono salvate in DIR/catX, ma altri tipi di mappatura possono essere specificati in /usr/lib/man.conf. Le pagine formattate non sono salvate quando la directory cat corrispondente non esiste.

È possibile rendere man suid all'utente man. Quindi, se una directory cat ha proprietario man e permessi 0755 (scrivibile solo da man), e i file formattati hanno proprietario man e permessi 0644 o 0444 (scrivibili solo da man, o non scrivibili affatto), nessun utente ordinario può cambiare le pagine formattate o mettere altri file nella directory cat. Se man non è suid, allora la directory cat deve avere i permessi 0777 se tutti gli utenti devono essere abilitati a lasciare lì le pagine formattate.

L'opzione -c forza la formattazione di una pagina, anche se esiste una pagina formattata di recente.

AMBIENTE

MANPATH
    Se MANPATH è impostata, il suo valore è usato come percorso di ricerca per le pagine di guida.

MANROFFSEQ
    Se MANROFFSEQ è impostata, il suo valore è usato per determinare l'insieme di preprocessori da eseguire prima di nroff o troff. Per default, le pagine sono passate attraverso il preprocessore di tabelle prima di nroff.

MANSECT
    Se MANSECT è impostata, il suo valore è usato per determinare quale sezione del manuale usare per la ricerca.

MANWIDTH
    Se MANWIDTH è impostata, il suo valore è usato per la larghezza con cui le pagine di guida dovrebbero essere visualizzate. Altrimenti le pagine saranno mostrate utilizzando la dimensione intera dello schermo.

MANPAGER
    Se MANPAGER è impostata, il suo valore è usato come nome del programma da usare per mostrare le pagine di guida. Altrimenti viene usato il valore di PAGER. Se neanche questa è impostata, viene usato /usr/bin/less-is.

LANG
    Se LANG è impostata, il suo valore definisce il nome della sottodirectory dove man cerca prima per le pagine di guida. Così il comando `LANG=it man 1 foo' fa in modo che man cerchi la pagina di guida di foo in directory nel percorso di ricerca.

NLSPATH, LC_MESSAGES, LANG
    Le variabili d'ambiente NLSPATH e LC_MESSAGES (o LANG quando l'ultima non esiste) giocano un ruolo nella localizzazione del catalogo messaggi (ma i messaggi inglesi sono compilati, e per l'inglese non è richiesto il catalogo). Notare che programmi tipo col(1) chiamati da man usano anche LC_CTYPE.

PATH
    PATH è usata nella costruzione del percorso di ricerca di default per le pagine di guida.

SYSTEM
    SYSTEM è usata per ottenere il nome di sistema alternativo (per l'uso con l'opzione -m).

VEDERE ANCHE
apropos(1), whatis(1), less(1), groff(1).

BACHI
L'opzione -t funziona solo se è installato un programma simile a troff.
Se compaiono dei \255 lampeggianti o <AD> al posto dei trattini, si ponga la variabile ambientale `LESSCHARSET=latin1'.

CONSIGLI
Se si aggiunge la riga
  (global-set-key [(f1)] (lambda () (interactive) (manual-entry (current-word)))) nel proprio file .emacs, allora il tasto F1 produrrà la pagina di manuale corrispondente alla chiamata di libreria su cui è posizionato il cursore.